Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network72.167.0.0/16
Usable hosts65,534
Subnet mask255.255.0.0
Addresses65,536
Network address
72.167.0.0
Broadcast address
72.167.255.255
First usable
72.167.0.1
Last usable
72.167.255.254
Usable hosts
65,534 (65,536 less the network and broadcast addresses)
Subnet mask
255.255.0.0
Wildcard mask
0.0.255.255 (Cisco ACLs, OSPF)
Prefix length
/16
Type
Public public
Old class
A (default /8)
As numbers
Hex 48A70000 · Integer 1218904064 to 1218969599
Reverse DNS zone
167.72.in-addr.arpa
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01001000.10100111..00000000.0000000072.167.0.0
Subnet mask11111111.11111111..00000000.00000000255.255.0.0
Network01001000.10100111..00000000.0000000072.167.0.0
Broadcast01001000.10100111..11111111.1111111172.167.255.255
Split into smaller subnets/23

72.167.0.0/16 makes 128 subnets of /23.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
172.167.0.0/2372.167.0.1 to 72.167.1.25472.167.1.255510
272.167.2.0/2372.167.2.1 to 72.167.3.25472.167.3.255510
372.167.4.0/2372.167.4.1 to 72.167.5.25472.167.5.255510
472.167.6.0/2372.167.6.1 to 72.167.7.25472.167.7.255510
572.167.8.0/2372.167.8.1 to 72.167.9.25472.167.9.255510
672.167.10.0/2372.167.10.1 to 72.167.11.25472.167.11.255510
772.167.12.0/2372.167.12.1 to 72.167.13.25472.167.13.255510
872.167.14.0/2372.167.14.1 to 72.167.15.25472.167.15.255510
972.167.16.0/2372.167.16.1 to 72.167.17.25472.167.17.255510
1072.167.18.0/2372.167.18.1 to 72.167.19.25472.167.19.255510
1172.167.20.0/2372.167.20.1 to 72.167.21.25472.167.21.255510
1272.167.22.0/2372.167.22.1 to 72.167.23.25472.167.23.255510
1372.167.24.0/2372.167.24.1 to 72.167.25.25472.167.25.255510
1472.167.26.0/2372.167.26.1 to 72.167.27.25472.167.27.255510
1572.167.28.0/2372.167.28.1 to 72.167.29.25472.167.29.255510
1672.167.30.0/2372.167.30.1 to 72.167.31.25472.167.31.255510
1772.167.32.0/2372.167.32.1 to 72.167.33.25472.167.33.255510
1872.167.34.0/2372.167.34.1 to 72.167.35.25472.167.35.255510
1972.167.36.0/2372.167.36.1 to 72.167.37.25472.167.37.255510
2072.167.38.0/2372.167.38.1 to 72.167.39.25472.167.39.255510
2172.167.40.0/2372.167.40.1 to 72.167.41.25472.167.41.255510
2272.167.42.0/2372.167.42.1 to 72.167.43.25472.167.43.255510
2372.167.44.0/2372.167.44.1 to 72.167.45.25472.167.45.255510
2472.167.46.0/2372.167.46.1 to 72.167.47.25472.167.47.255510
2572.167.48.0/2372.167.48.1 to 72.167.49.25472.167.49.255510
2672.167.50.0/2372.167.50.1 to 72.167.51.25472.167.51.255510
2772.167.52.0/2372.167.52.1 to 72.167.53.25472.167.53.255510
2872.167.54.0/2372.167.54.1 to 72.167.55.25472.167.55.255510
2972.167.56.0/2372.167.56.1 to 72.167.57.25472.167.57.255510
3072.167.58.0/2372.167.58.1 to 72.167.59.25472.167.59.255510
3172.167.60.0/2372.167.60.1 to 72.167.61.25472.167.61.255510
3272.167.62.0/2372.167.62.1 to 72.167.63.25472.167.63.255510
3372.167.64.0/2372.167.64.1 to 72.167.65.25472.167.65.255510
3472.167.66.0/2372.167.66.1 to 72.167.67.25472.167.67.255510
3572.167.68.0/2372.167.68.1 to 72.167.69.25472.167.69.255510
3672.167.70.0/2372.167.70.1 to 72.167.71.25472.167.71.255510
3772.167.72.0/2372.167.72.1 to 72.167.73.25472.167.73.255510
3872.167.74.0/2372.167.74.1 to 72.167.75.25472.167.75.255510
3972.167.76.0/2372.167.76.1 to 72.167.77.25472.167.77.255510
4072.167.78.0/2372.167.78.1 to 72.167.79.25472.167.79.255510
4172.167.80.0/2372.167.80.1 to 72.167.81.25472.167.81.255510
4272.167.82.0/2372.167.82.1 to 72.167.83.25472.167.83.255510
4372.167.84.0/2372.167.84.1 to 72.167.85.25472.167.85.255510
4472.167.86.0/2372.167.86.1 to 72.167.87.25472.167.87.255510
4572.167.88.0/2372.167.88.1 to 72.167.89.25472.167.89.255510
4672.167.90.0/2372.167.90.1 to 72.167.91.25472.167.91.255510
4772.167.92.0/2372.167.92.1 to 72.167.93.25472.167.93.255510
4872.167.94.0/2372.167.94.1 to 72.167.95.25472.167.95.255510
4972.167.96.0/2372.167.96.1 to 72.167.97.25472.167.97.255510
5072.167.98.0/2372.167.98.1 to 72.167.99.25472.167.99.255510
5172.167.100.0/2372.167.100.1 to 72.167.101.25472.167.101.255510
5272.167.102.0/2372.167.102.1 to 72.167.103.25472.167.103.255510
5372.167.104.0/2372.167.104.1 to 72.167.105.25472.167.105.255510
5472.167.106.0/2372.167.106.1 to 72.167.107.25472.167.107.255510
5572.167.108.0/2372.167.108.1 to 72.167.109.25472.167.109.255510
5672.167.110.0/2372.167.110.1 to 72.167.111.25472.167.111.255510
5772.167.112.0/2372.167.112.1 to 72.167.113.25472.167.113.255510
5872.167.114.0/2372.167.114.1 to 72.167.115.25472.167.115.255510
5972.167.116.0/2372.167.116.1 to 72.167.117.25472.167.117.255510
6072.167.118.0/2372.167.118.1 to 72.167.119.25472.167.119.255510
6172.167.120.0/2372.167.120.1 to 72.167.121.25472.167.121.255510
6272.167.122.0/2372.167.122.1 to 72.167.123.25472.167.123.255510
6372.167.124.0/2372.167.124.1 to 72.167.125.25472.167.125.255510
6472.167.126.0/2372.167.126.1 to 72.167.127.25472.167.127.255510
6572.167.128.0/2372.167.128.1 to 72.167.129.25472.167.129.255510
6672.167.130.0/2372.167.130.1 to 72.167.131.25472.167.131.255510
6772.167.132.0/2372.167.132.1 to 72.167.133.25472.167.133.255510
6872.167.134.0/2372.167.134.1 to 72.167.135.25472.167.135.255510
6972.167.136.0/2372.167.136.1 to 72.167.137.25472.167.137.255510
7072.167.138.0/2372.167.138.1 to 72.167.139.25472.167.139.255510
7172.167.140.0/2372.167.140.1 to 72.167.141.25472.167.141.255510
7272.167.142.0/2372.167.142.1 to 72.167.143.25472.167.143.255510
7372.167.144.0/2372.167.144.1 to 72.167.145.25472.167.145.255510
7472.167.146.0/2372.167.146.1 to 72.167.147.25472.167.147.255510
7572.167.148.0/2372.167.148.1 to 72.167.149.25472.167.149.255510
7672.167.150.0/2372.167.150.1 to 72.167.151.25472.167.151.255510
7772.167.152.0/2372.167.152.1 to 72.167.153.25472.167.153.255510
7872.167.154.0/2372.167.154.1 to 72.167.155.25472.167.155.255510
7972.167.156.0/2372.167.156.1 to 72.167.157.25472.167.157.255510
8072.167.158.0/2372.167.158.1 to 72.167.159.25472.167.159.255510
8172.167.160.0/2372.167.160.1 to 72.167.161.25472.167.161.255510
8272.167.162.0/2372.167.162.1 to 72.167.163.25472.167.163.255510
8372.167.164.0/2372.167.164.1 to 72.167.165.25472.167.165.255510
8472.167.166.0/2372.167.166.1 to 72.167.167.25472.167.167.255510
8572.167.168.0/2372.167.168.1 to 72.167.169.25472.167.169.255510
8672.167.170.0/2372.167.170.1 to 72.167.171.25472.167.171.255510
8772.167.172.0/2372.167.172.1 to 72.167.173.25472.167.173.255510
8872.167.174.0/2372.167.174.1 to 72.167.175.25472.167.175.255510
8972.167.176.0/2372.167.176.1 to 72.167.177.25472.167.177.255510
9072.167.178.0/2372.167.178.1 to 72.167.179.25472.167.179.255510
9172.167.180.0/2372.167.180.1 to 72.167.181.25472.167.181.255510
9272.167.182.0/2372.167.182.1 to 72.167.183.25472.167.183.255510
9372.167.184.0/2372.167.184.1 to 72.167.185.25472.167.185.255510
9472.167.186.0/2372.167.186.1 to 72.167.187.25472.167.187.255510
9572.167.188.0/2372.167.188.1 to 72.167.189.25472.167.189.255510
9672.167.190.0/2372.167.190.1 to 72.167.191.25472.167.191.255510
9772.167.192.0/2372.167.192.1 to 72.167.193.25472.167.193.255510
9872.167.194.0/2372.167.194.1 to 72.167.195.25472.167.195.255510
9972.167.196.0/2372.167.196.1 to 72.167.197.25472.167.197.255510
10072.167.198.0/2372.167.198.1 to 72.167.199.25472.167.199.255510
10172.167.200.0/2372.167.200.1 to 72.167.201.25472.167.201.255510
10272.167.202.0/2372.167.202.1 to 72.167.203.25472.167.203.255510
10372.167.204.0/2372.167.204.1 to 72.167.205.25472.167.205.255510
10472.167.206.0/2372.167.206.1 to 72.167.207.25472.167.207.255510
10572.167.208.0/2372.167.208.1 to 72.167.209.25472.167.209.255510
10672.167.210.0/2372.167.210.1 to 72.167.211.25472.167.211.255510
10772.167.212.0/2372.167.212.1 to 72.167.213.25472.167.213.255510
10872.167.214.0/2372.167.214.1 to 72.167.215.25472.167.215.255510
10972.167.216.0/2372.167.216.1 to 72.167.217.25472.167.217.255510
11072.167.218.0/2372.167.218.1 to 72.167.219.25472.167.219.255510
11172.167.220.0/2372.167.220.1 to 72.167.221.25472.167.221.255510
11272.167.222.0/2372.167.222.1 to 72.167.223.25472.167.223.255510
11372.167.224.0/2372.167.224.1 to 72.167.225.25472.167.225.255510
11472.167.226.0/2372.167.226.1 to 72.167.227.25472.167.227.255510
11572.167.228.0/2372.167.228.1 to 72.167.229.25472.167.229.255510
11672.167.230.0/2372.167.230.1 to 72.167.231.25472.167.231.255510
11772.167.232.0/2372.167.232.1 to 72.167.233.25472.167.233.255510
11872.167.234.0/2372.167.234.1 to 72.167.235.25472.167.235.255510
11972.167.236.0/2372.167.236.1 to 72.167.237.25472.167.237.255510
12072.167.238.0/2372.167.238.1 to 72.167.239.25472.167.239.255510
12172.167.240.0/2372.167.240.1 to 72.167.241.25472.167.241.255510
12272.167.242.0/2372.167.242.1 to 72.167.243.25472.167.243.255510
12372.167.244.0/2372.167.244.1 to 72.167.245.25472.167.245.255510
12472.167.246.0/2372.167.246.1 to 72.167.247.25472.167.247.255510
12572.167.248.0/2372.167.248.1 to 72.167.249.25472.167.249.255510
12672.167.250.0/2372.167.250.1 to 72.167.251.25472.167.251.255510
12772.167.252.0/2372.167.252.1 to 72.167.253.25472.167.253.255510
12872.167.254.0/2372.167.254.1 to 72.167.255.25472.167.255.255510

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses